### Unmark

Category

Structuring

Function

Unmarks a marked component.

Syntax

    output = Unmark(input, name);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | field | none | field with a marked component
`name` | string | input dependent | the component to be unmarked

Outputs

Name | Type | Description
--- | --- | ---
`output` | field | the field with the named component not marked

Functional Details

This module undoes the action of the Mark module by creating an `output` field with the "data" component of the `input` field returned to the `name` component. If a "saved data" component exists, it is copied into the "data" component.

If the `name` parameter is not specified, the module copies the "data" component into the component originally marked with the Mark module (that component name is carried as a "marked component" attribute on `input`). Specifying the parameter explicitly overrides this default behavior.

Components

Copies the "data" component into the `name` component, and the "saved data" component (if it exists) into the "data" component. All other input components are propagated to the output.

Example Visual Programs

    MakeLineMacro.net
    PlotLine.net
    PlotTwoLines.net
    Sealevel.net
    WarpingPositions.net
    SIMPLE/MarkUnmark.net

See Also

Compute, Mark, Rename

[ OpenDX Home at IBM | OpenDX.org ]